Subject: Re: Wierd mount problem with "latest" release
From: Earnie Boyd <[email-masked]>
To: Bryan Pizzillo <[email-masked]>, [email-masked]
Cc: Bryan Pizzillo <[email-masked]>
Date: Sat, 17 Jun 2000 09:04:14 -0700 (PDT)

--- Bryan Pizzillo <[email-masked]> wrote:
> 
> Ok, here's the problem.  I used the setup.exe, told it the root directory was
> 
> c:cygwin.
> It installed, I went to go run the link from the start bar which tried to run
> 

User error.  You should have typed c:\cygwin instead of c:cygwin.

> c:\cygwin\bin\cygwin.bat...which was not there..no problem, checked the faq,
> and
> so I put the following in there:
> 
> @echo off
> SET MAKE_MODE=unix
> SET PATH=C:\cygwin\bin;c:\cygwin\usr\bin;C:\cygwin\usr\local\bin;%PATH%
> bash
> 
> (Note I had to add c:\cygwin\usr\bin since that is were cygwin1.dll got put)
> 
> Ok, so  run cygwin.bat and get bash...yeah, rockin...no more cmd 
> (not to mention I get ls)
> BUT, I noticed this wierdness: (I assume it is from c:cygwinbin)
> 
> bash-2.04$ mount
> Device              Directory           Type         Flags
> c:cygwin\bin        /usr/bin            user         binmode
> c:cygwin\lib        /usr/lib            user         binmode
> c:cygwinbin         /bin                system       textmode
> c:cygwin            /                   user         binmode

mount -f -b c:/cygwin/bin /usr/bin
mount -f -b c:/cygwin/lib /usr/lib
mount -f -b c:/cygwin /
umount /bin

The above commands should fix your problems.

Cheers,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Send instant messages with Yahoo! Messenger.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]